package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag202cov;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT202COVCreator;

public class TagB72Creator extends AbsTagCreate {
    private MT202COVCreator mt202COVCreator;

    public TagB72Creator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        this.mt202COVCreator = (MT202COVCreator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag72Value = mt202COVCreator.getSendertoReceiverInformationB();
        mt202COVCreator.set("72",tag72Value);
    }
}
